task qualimap {
	File bam
	File bed
	String docker
	String cluster_config
	String disk_size

	command <<<
		set -o pipefail
		set -e
		nt=$(nproc)
		/opt/qualimap/qualimap bamqc -bam ${bam} -gff ${bed} -nt $nt -outdir ./ --java-mem-size=16G
		tar -zcvf qualimap.zip ./
	>>>

	runtime {
		docker:docker
		cluster:cluster_config
		systemDisk:"cloud_ssd 40"
		dataDisk:"cloud_ssd " + disk_size + " /cromwell_root/"
	}

	output {
		File qualimap = "qualimap.zip"
	}
}
